> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get call transcript

> Get the transcript for a call recording.

This endpoint is in beta. We will aim to avoid breaking changes, but small updates may be made as we roll out to more users.

Required scopes: `meeting:read`, `call_recording:read`.



## OpenAPI

````yaml https://api.attio.com/openapi/api get /v2/meetings/{meeting_id}/call_recordings/{call_recording_id}/transcript
openapi: 3.1.0
info:
  title: Attio API
  version: 2.0.0
  contact:
    name: Attio Support
    email: support@attio.com
    url: https://attio.com/help
servers:
  - url: https://api.attio.com
    description: Production
security:
  - oauth2: []
tags:
  - name: Objects
    description: >-
      Objects are the core data models inside of Attio. They contain standard
      objects, such as
      [people](/rest-api/endpoint-reference/standard-objects/people/list-person-records),
      [companies](/rest-api/endpoint-reference/standard-objects/companies/list-company-records)
      or [deals](/docs/standard-objects-deals), and custom objects that are
      specific to your use-case. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Object views
    description: Object views are saved table or board layouts for an object.
  - name: List views
    description: List views are saved table or board layouts for a list.
  - name: Attributes
    description: >-
      Attributes model properties of objects and lists. Some attributes, such as
      the `name` attribute on a person, are system-defined, while others are
      user-defined. Attributes are one of [many types](/docs/attribute-types)
      such as text, location or select. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Records
    description: >-
      Records are individual instances of objects e.g. a specific
      [person](/rest-api/endpoint-reference/standard-objects/people/list-person-records)
      or
      [company](/rest-api/endpoint-reference/standard-objects/companies/list-company-records).
      See our [objects and lists guide](/docs/objects-and-lists) for more
      information.
  - name: SCIM groups
    description: >-
      SCIM groups represent Attio teams managed through the SCIM provisioning
      protocol.
  - name: SCIM schemas
    description: >-
      SCIM schemas describe the resource types supported by the SCIM service
      provider.
  - name: SCIM users
    description: >-
      SCIM users represent workspace members managed through the SCIM
      provisioning protocol.
  - name: Lists
    description: >-
      Lists are used to model a particular process. A list contains many records
      of a single object type, where each record is represented by an entry.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Meta
    description: Meta endpoints are used to get information about the API token.
  - name: Entries
    description: >-
      Entries are elements in a list that reference a single parent record.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Files
    description: >-
      Files are documents and folders linked to records, stored either in Attio
      or connected via external storage providers.
  - name: Workspace members
    description: >-
      Workspace members represent a user with access to a workspace. Workspace
      members are assigned roles that determine what they can do within the
      workspace.
  - name: Notes
    description: Notes are rich text documents that reference a single parent record.
  - name: Meetings
    description: >-
      Meetings are events synced from your calendar, added manually or added
      from third-party integrations.
  - name: Call recordings
    description: >-
      Call recordings store video, audio, transcript and speaker information for
      calls. They are linked to meetings.
  - name: Transcripts
    description: >-
      Transcripts contain the speech segments and speaker information for a call
      recording. They are linked to call recordings.
  - name: Tasks
    description: >-
      A task is a defined, actionable item with references to linked records and
      assigned workspace members.
  - name: Webhooks
    description: >-
      Webhooks allow you to listen for changes to data in Attio, for example
      when a record is updated.
  - name: Threads
    description: >-
      Threads are groups of
      [comments](/rest-api/endpoint-reference/comments/get-a-comment) on either
      a record or entry.
  - name: Comments
    description: >-
      Comments are messages on a
      [thread](/rest-api/endpoint-reference/threads/list-threads).
  - name: People
    description: >-
      People are one of the core objects inside of Attio. Person records can be
      added to lists and can be created automatically when syncing your mailbox.
  - name: Companies
    description: >-
      Companies are one of the core objects inside of Attio. Company records can
      be added to lists and can be created automatically when syncing your
      mailbox.
  - name: Users
    description: >-
      Users are an optional standard object that represents a user of your
      system. Users can belong to many workspaces.
  - name: Deals
    description: >-
      Deals are an optional standard object that represent a deal or
      opportunity.
  - name: Workspaces
    description: >-
      Workspaces are an optional standard object that represent a workspace or
      account in your system. Workspaces have many users and can be used to
      model a multi-tenant system. A company record can optionally have multiple
      workspaces.
paths:
  /v2/meetings/{meeting_id}/call_recordings/{call_recording_id}/transcript:
    get:
      tags:
        - Transcripts
      summary: Get call transcript
      description: >-
        Get the transcript for a call recording.


        This endpoint is in beta. We will aim to avoid breaking changes, but
        small updates may be made as we roll out to more users.


        Required scopes: `meeting:read`, `call_recording:read`.
      parameters:
        - schema:
            type: string
            format: uuid
            description: The ID of the meeting.
            example: cb59ab17-ad15-460c-a126-0715617c0853
          required: true
          name: meeting_id
          in: path
        - schema:
            type: string
            format: uuid
            description: The ID of the call recording to get the transcript for.
            example: e8f2a3b7-9b4d-4c5e-8a1f-3d7b2c5e8f9a
          required: true
          name: call_recording_id
          in: path
        - schema:
            type: string
            description: >-
              A cursor for pagination through transcript segments. Use the
              `next_cursor` from the previous response to get the next page of
              speech segments within this transcript.
            example: >-
              eyJkZXNjcmlwdGlvbiI6ICJ0aGlzIGlzIGEgY3Vyc29yIn0=.eM56CGbqZ6G1NHiJchTIkH4vKDr
          required: false
          name: cursor
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: object
                        properties:
                          workspace_id:
                            type: string
                            format: uuid
                            description: >-
                              The ID of the workspace this transcript belongs
                              to.
                            example: 14beef7a-99f7-4534-a87e-70b564330a4c
                          meeting_id:
                            type: string
                            format: uuid
                            description: >-
                              The ID of the meeting associated with this
                              transcript.
                            example: cb59ab17-ad15-460c-a126-0715617c0853
                          call_recording_id:
                            type: string
                            format: uuid
                            description: >-
                              The ID of the call recording this transcript
                              belongs to.
                            example: e8f2a3b7-9b4d-4c5e-8a1f-3d7b2c5e8f9a
                        required:
                          - workspace_id
                          - meeting_id
                          - call_recording_id
                      transcript:
                        type: array
                        items:
                          type: object
                          properties:
                            speech:
                              type: string
                              description: >-
                                The spoken text for this segment of the
                                transcript.
                              example: Hello,
                            start_time:
                              type: number
                              description: >-
                                The start time of this speech segment in
                                seconds, measured from the start of the
                                recording.
                              example: 0.51
                            end_time:
                              type: number
                              description: >-
                                The end time of this speech segment in seconds,
                                measured from the start of the recording.
                              example: 4.31
                            speaker:
                              type: object
                              properties:
                                name:
                                  type: string
                                  description: The name of the speaker.
                                  example: Alex Bell
                              required:
                                - name
                              description: The speaker of this transcript segment.
                          required:
                            - speech
                            - start_time
                            - end_time
                            - speaker
                        description: >-
                          The transcript segments with speech, timing, and
                          speaker information.
                        example:
                          - speech: Hello,
                            start_time: 0.51
                            end_time: 0.81
                            speaker:
                              name: Alex Bell
                          - speech: Mr Watson,
                            start_time: 0.81
                            end_time: 1.41
                            speaker:
                              name: Alex Bell
                          - speech: come
                            start_time: 1.41
                            end_time: 1.71
                            speaker:
                              name: Alex Bell
                          - speech: here.
                            start_time: 1.71
                            end_time: 2.11
                            speaker:
                              name: Alex Bell
                          - speech: I
                            start_time: 2.11
                            end_time: 2.31
                            speaker:
                              name: Alex Bell
                          - speech: want
                            start_time: 2.31
                            end_time: 2.71
                            speaker:
                              name: Alex Bell
                          - speech: to
                            start_time: 2.71
                            end_time: 2.91
                            speaker:
                              name: Alex Bell
                          - speech: see
                            start_time: 2.91
                            end_time: 3.21
                            speaker:
                              name: Alex Bell
                          - speech: you.
                            start_time: 3.21
                            end_time: 3.61
                            speaker:
                              name: Alex Bell
                          - speech: I'm
                            start_time: 4.21
                            end_time: 4.51
                            speaker:
                              name: Tom Watson
                          - speech: here.
                            start_time: 4.51
                            end_time: 4.91
                            speaker:
                              name: Tom Watson
                      raw_transcript:
                        type: string
                        description: The raw transcript of the call recording.
                        example: >-
                          [00:00] Alex Bell: Mr Watson, come here. I want to see
                          you.

                          [00:05] Tom Watson: I'm here.
                      web_url:
                        type: string
                        format: uri
                        description: >-
                          A URL that links directly to the call recording
                          transcript in the Attio web application.
                        example: >-
                          https://app.attio.com/salarya/calls/cb59ab17-ad15-460c-a126-0715617c0853/e8f2a3b7-9b4d-4c5e-8a1f-3d7b2c5e8f9a/transcript
                    required:
                      - id
                      - transcript
                      - raw_transcript
                      - web_url
                  pagination:
                    type: object
                    properties:
                      next_cursor:
                        type:
                          - string
                          - 'null'
                    required:
                      - next_cursor
                required:
                  - data
                  - pagination
                description: Success
      security:
        - oauth2:
            - meeting:read
            - call_recording:read
components:
  securitySchemes:
    oauth2:
      type: oauth2
      description: This API uses OAuth 2.0 with the authorization code grant flow.
      flows:
        authorizationCode:
          authorizationUrl: https://app.attio.com/authorize
          tokenUrl: https://app.attio.com/oauth/token
          scopes:
            user_management:read: View workspace members.
            user_management:read-write: View workspace members.
            record_permission:read: View, and optionally write, records.
            record_permission:read-write: View, and optionally write, records.
            object_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              objects.
            object_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              objects.
            list_entry:read: View, and optionally write, the entries in a list.
            list_entry:read-write: View, and optionally write, the entries in a list.
            list_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              lists.
            list_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              lists.
            public_collection:read: >-
              View, and optionally write, both the settings and information
              within public collections.
            public_collection:read-write: >-
              View, and optionally write, both the settings and information
              within public collections.
            private_collection:read: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            private_collection:read-write: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            comment:read: View comments (and threads), and optionally write comments.
            comment:read-write: View comments (and threads), and optionally write comments.
            task:read: View, and optionally write, tasks.
            task:read-write: View, and optionally write, tasks.
            note:read: View, and optionally write, notes.
            note:read-write: View, and optionally write, notes.
            meeting:read: View, and optionally write, meetings.
            meeting:read-write: View, and optionally write, meetings.
            call_recording:read: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            call_recording:read-write: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            webhook:read: View, and optionally manage, webhooks.
            webhook:read-write: View, and optionally manage, webhooks.
            file:read: View, and upload files.
            file:read-write: View, and upload files.

````